venkyskar
Posts: 17
Joined: Mon Mar 28, 2016 10:56 am

Java error in Thingsboard installation

Mon Nov 20, 2017 2:26 pm

Hello,
I have been trying to install thingsboard on my Rpi2 B+ model for which it needs a javaupdate which i have updated to 1.8.0_151 but i am still getting the following error when I was trying to unpack thingsboard installation setup.


[email protected] ~ $ sudo dpkg -i thingsboard-1.3.1.deb
(Reading database ... 77120 files and directories currently installed.)
Preparing to replace thingsboard 1.3.1-1 (using thingsboard-1.3.1.deb) ...
Unpacking replacement thingsboard ...
update-rc.d: using dependency based boot sequencing
dpkg: dependency problems prevent configuration of thingsboard:
thingsboard depends on openjdk-8-jre | java8-runtime | oracle-java8-installer | openjdk-8-jre-headless; however:
Package openjdk-8-jre is not installed.
Package java8-runtime is not installed.
Package oracle-java8-installer is not installed.
Package openjdk-8-jre-headless is not installed.

dpkg: error processing thingsboard (--install):
dependency problems - leaving unconfigured
Errors were encountered while processing:
thingsboard


I tried to install java8jdk but the result was following:

[email protected] ~ $ sudo apt-get install oracle-java8-installer
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package oracle-java8-installer is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'oracle-java8-installer' has no installation candidate


please help

DirkS
Posts: 9217
Joined: Tue Jun 19, 2012 9:46 pm
Location: Essex, UK

Re: Java error in Thingsboard installation

Mon Nov 20, 2017 2:34 pm

Code: Select all

thingsboard depends on openjdk-8-jre | java8-runtime | oracle-java8-installer | openjdk-8-jre-headless; however:
This means it needs one of these.
Try installing openjdk-8-jre

fruitoftheloom
Posts: 17603
Joined: Tue Mar 25, 2014 12:40 pm

Re: Java error in Thingsboard installation

Mon Nov 20, 2017 2:38 pm

venkyskar wrote:
Mon Nov 20, 2017 2:26 pm
Hello,
I have been trying to install thingsboard on my Rpi2 B+ model for which it needs a javaupdate which i have updated to 1.8.0_151 but i am still getting the following error when I was trying to unpack thingsboard installation setup.


[email protected] ~ $ sudo dpkg -i thingsboard-1.3.1.deb
(Reading database ... 77120 files and directories currently installed.)
Preparing to replace thingsboard 1.3.1-1 (using thingsboard-1.3.1.deb) ...
Unpacking replacement thingsboard ...
update-rc.d: using dependency based boot sequencing
dpkg: dependency problems prevent configuration of thingsboard:
thingsboard depends on openjdk-8-jre | java8-runtime | oracle-java8-installer | openjdk-8-jre-headless; however:
Package openjdk-8-jre is not installed.
Package java8-runtime is not installed.
Package oracle-java8-installer is not installed.
Package openjdk-8-jre-headless is not installed.

dpkg: error processing thingsboard (--install):
dependency problems - leaving unconfigured
Errors were encountered while processing:
thingsboard


I tried to install java8jdk but the result was following:

[email protected] ~ $ sudo apt-get install oracle-java8-installer
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package oracle-java8-installer is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'oracle-java8-installer' has no installation candidate


please help


https://thingsboard.io/docs/user-guide/install/rpi/


OpenJDK

Code: Select all

sudo apt-get update
sudo apt-get install openjdk-8-jdk
Adieu

venkyskar
Posts: 17
Joined: Mon Mar 28, 2016 10:56 am

Re: Java error in Thingsboard installation

Tue Nov 21, 2017 11:48 am

DirkS wrote:
Mon Nov 20, 2017 2:34 pm

Code: Select all

thingsboard depends on openjdk-8-jre | java8-runtime | oracle-java8-installer | openjdk-8-jre-headless; however:
This means it needs one of these.
Try installing openjdk-8-jre
I have already installed java jre and jdk but still I am getting that error while unpacking Thingsboard. Even I have tried your suggestion this is the result I got:


[email protected] ~ $ sudo apt-get install openjdk-8-jre
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package openjdk-8-jre is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'openjdk-8-jre' has no installation candidate
[email protected] ~ $

fruitoftheloom
Posts: 17603
Joined: Tue Mar 25, 2014 12:40 pm

Re: Java error in Thingsboard installation

Tue Nov 21, 2017 12:27 pm

venkyskar wrote:
Tue Nov 21, 2017 11:48 am
DirkS wrote:
Mon Nov 20, 2017 2:34 pm

Code: Select all

thingsboard depends on openjdk-8-jre | java8-runtime | oracle-java8-installer | openjdk-8-jre-headless; however:
This means it needs one of these.
Try installing openjdk-8-jre
I have already installed java jre and jdk but still I am getting that error while unpacking Thingsboard. Even I have tried your suggestion this is the result I got:


[email protected] ~ $ sudo apt-get install openjdk-8-jre
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package openjdk-8-jre is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'openjdk-8-jre' has no installation candidate
[email protected] ~ $

Did you try my suggestion, which was assuming you are running the current Raspbian Stretch ??
Adieu

DirkS
Posts: 9217
Joined: Tue Jun 19, 2012 9:46 pm
Location: Essex, UK

Re: Java error in Thingsboard installation

Tue Nov 21, 2017 12:30 pm

Did you run 'sudo apt update' before trying to install the package?
Which OS (distro + version) do you run on?

venkyskar
Posts: 17
Joined: Mon Mar 28, 2016 10:56 am

Re: Java error in Thingsboard installation

Wed Nov 22, 2017 11:21 am

@DirkS
Yes i did that before instaling

@fruitoftheloom: No my rasbian is wheezy not at all a latest streach.

fruitoftheloom
Posts: 17603
Joined: Tue Mar 25, 2014 12:40 pm

Re: Java error in Thingsboard installation

Wed Nov 22, 2017 11:36 am

venkyskar wrote:
Wed Nov 22, 2017 11:21 am
@DirkS
Yes i did that before instaling

@fruitoftheloom: No my rasbian is wheezy not at all a latest streach.

Raspbian Wheezy was end of life 2015, maybe it is time to use Raspbian Stretch and newer packages ??
Adieu

Return to “Java”